xmonad-wallpaper-0.0.1.5: xmonad wallpaper extension

Safe Haskell | None
Language | Haskell2010

XMonad.Wallpaper

Synopsis

- setRandomWallpaper :: [String] -> IO ()

# Documentation

setRandomWallpaper :: [String] -> IO () Source #

Example usage: (~.xmonadxmonad.hs)

    import XMonad
    import XMonad.Config.Desktop
    import XMonad.Wallpaper
    main = do
        setRandomWallpaper ["paths-of-your choice", "$HOME/Pictures/Wallpapers"]
        xmonad $ desktopConfig
           { terminal    = "urxvt"
           , modMask     = mod4Mask
           }

paths will be expanded using environment variables, and paths are not exist will be ignored during scan phase.

For more information about path expansion, see also `expand`.